org.apache.avro.util.springframework

## Class ConcurrentReferenceHashMap.Entry<K,V>

- java.lang.Object
- - org.apache.avro.util.springframework.ConcurrentReferenceHashMap.Entry<K,V>

- Type Parameters:
    `K` - the key type
    `V` - the value type
  All Implemented Interfaces:
    Map.Entry<K,V>
  Enclosing class:
    ConcurrentReferenceHashMap<K,V>

      protected static final class ConcurrentReferenceHashMap.Entry<K,V>
      extends Object
      implements Map.Entry<K,V>

  A single map entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(K key, V value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `K` | `getKey()`
    `V` | `getValue()`
    `int` | `hashCode()`
    `V` | `setValue(V value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### Entry

          public Entry(@Nullable
                       K key,
                       @Nullable
                       V value)

  - ### Method Detail

    - #### getKey

          @Nullable
          public K getKey()

      Specified by:
        `getKey` in interface `Map.Entry<K,V>`

    - #### getValue

          @Nullable
          public V getValue()

      Specified by:
        `getValue` in interface `Map.Entry<K,V>`

    - #### setValue

          @Nullable
          public V setValue(@Nullable
                                      V value)

      Specified by:
        `setValue` in interface `Map.Entry<K,V>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(@Nullable
                                Object other)

      Specified by:
        `equals` in interface `Map.Entry<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map.Entry<K,V>`
      Overrides:
        `hashCode` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.